Loading...
Searching...
No Matches
writ_zeros.c File Reference

GIS Library - Write zero functions. More...

`#include <errno.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/glocale.h>`
Include dependency graph for writ_zeros.c:

Go to the source code of this file.

## Functions

void | G_write_zeros (int fd, size_t n)
| Writes n bytes of zero to file descriptor fd.

## Detailed Description

GIS Library - Write zero functions.

(C) 2001-2014 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  GRASS Development Team

Date
  1999-2014

Definition in file writ_zeros.c.

## Function Documentation

## G_write_zeros()

void G_write_zeros | ( | int | fd,
|  | size_t | n )

Writes n bytes of zero to file descriptor fd.

Parameters

  [in] | fd | file descriptor
  [in] | n | number of bytes to write

Returns

Definition at line 29 of file writ_zeros.c.

References G_fatal_error().